---
layout: docs
page_title: 'Commands: node pool info'
description: |
  The node pool info command is used to fetch information about a node pool.
---

# Command: node pool info

The `node pool info` command is used to fetch information about an existing
node pool.

## Usage

```plaintext
nomad node pool info [options] <node-pool>
```

If ACLs are enabled, this command requires a token with the `read` capability
in a `node_pool` policy that matches the node pool being targeted.

## General Options

@include 'general_options_no_namespace.mdx'

## Info Options

- `-json`: Output the node pool in its JSON format.

- `-t`: Format and display node pool using a Go template.

## Examples

Retrieve information on a node pool:

```shell-session
$ nomad node pool info prod
Name        = prod
Description = Node pool for production workloads.

Metadata
env = production

Scheduler Configuration
Scheduler Algorithm = spread
```

Retrieve information in JSON format:

```shell-session
$ nomad node pool info -json prod
{
    "CreateIndex": 39,
    "Description": "Node pool for production workloads.",
    "Meta": {
        "env": "production"
    },
    "ModifyIndex": 39,
    "Name": "prod",
    "SchedulerConfiguration": {
        "SchedulerAlgorithm": "spread"
    }
}
```

Customize output with a Go template:

```shell-session
$ nomad node pool info -t "{{.Name}} [{{.Meta.env}}] - {{.Description}}" prod
prod [production] - Node pool for production workloads.
```
